id: d6_comment
label: Comments
migration_tags:
  - Drupal 6
source:
  plugin: d6_comment
  constants:
    entity_type: node
process:
  cid: cid
  pid:
    plugin: migration
    migration: d6_comment
    source: pid
  entity_id: nid
  entity_type: 'constants/entity_type'
  # field_name & comment_type is calculated in
  # \Drupal\migrate_drupal\Plugin\migrate\source\d6\Comment::prepareRow()
  field_name: field_name
  comment_type: comment_type
  subject: subject
  uid: uid
  name: name
  mail: mail
  homepage: homepage
  hostname: hostname
  created: timestamp
  changed: timestamp
  status: status #In D6, published=0. We reverse the value in prepareRow.
  thread: thread
  'comment_body/value': comment
  'comment_body/format':
    plugin: migration
    migration: d6_filter_format
    source: format
destination:
  plugin: entity:comment
migration_dependencies:
  required:
    - d6_node:*
    - d6_comment_type
    - d6_comment_entity_display
    - d6_comment_entity_form_display
    - d6_user
    - d6_filter_format
